{% extends 'login_base.html' %}
{% block title %}同新云论坛{% endblock %}
{% block content %}

    <link rel="stylesheet" href="/static/css/style.css">
    <link rel="stylesheet" href="https://at.alicdn.com/t/font_1696224_zabz6disucb.css">
    <div class="main">
        <div class="main_con">
            {#这一div用来放置左侧导航栏#}
            <div class="left_nav" data-loginuser="{{ request.session.user_account }}">
                <div class="mybutton">
                    <div class="mainpage" >首页</div>
                    <div class="mylike">我的点赞</div>
                    <div class="mycollect">我的收藏</div>
                </div>
                <div class="blocks">
                    <div class="block0 block" data-block0="{{ block0 }}">学术研究<i class="fa fa-angle-right" style="float:right;font-size:22px;margin-top:5px;margin-right:20px"></i></div>
                    <div class="block1 block" data-block1="{{ block1 }}">资料分享<i class="fa fa-angle-right" style="float:right;font-size:22px;margin-top:5px;margin-right:20px"></i></div>
                    <div class="block2 block" data-block2="{{ block2 }}">校内资讯<i class="fa fa-angle-right" style="float:right;font-size:22px;margin-top:5px;margin-right:20px"></i></div>
                    <div class="block3 block" data-block3="{{ block3 }}">生活娱乐<i class="fa fa-angle-right" style="float:right;font-size:22px;margin-top:5px;margin-right:20px"></i></div>
                    <div class="child_block" id="child_block" style="display:none">
                    </div>
                </div>
            </div>
            <script type="text/javascript" src="/static/js/left_nav.js"></script>
            {#这一div用来放置中间的创建帖子组件和搜索帖子组件和帖子缩略图#}
            <div class="middle">
                {#发布帖子组件#}
                <div class="publisher" data-user="{{ request.session.user_account }}">
                    <form action="/createpost/" method="post" class="smart-green" id="post_form" enctype="multipart/form-data" role="form">
                        <label>
							<input type="text" id="title" name="title" maxlength="30" placeholder="请输入标题,限30字" />
						</label>
						<input type="text" id="login_user" name="login_user" style="display:none" value={{ request.session.user_account }}>
						<label>
						<div class="topic_try" id="topic_try" name="topic_try">
							<b>#此处选择话题#</b>
						</div>
						</label>
						<label>
                            <textarea id="post_text" name="post_text" maxlength="400" placeholder="分享你的看法，限400字"></textarea>
                            <div class="error-msg"></div>
                        </label>
                        <div class="success-msg"></div>
                        <label>
                            <select id="block_p" name="block_parent">
                                <option value="1" selected="selected">学术</option>
                                <option value="2">资料</option>
                                <option value="3">功能</option>
                                <option value="4">娱乐</option>
                            </select>
							<select id="block_c" name ="block">
							{% if block0 != "None" %}
                                {% for b_0 in block0 %}
							<option value={{ b_0 }}>{{ b_0 }}</option>
							{% endfor%}
                            {% endif %}
							</select>
                            <div class="error-msg"></div>
                        </label>
                        <label class="hot">
							<a id="click_topic" style="cursor:pointer" class="iconfont icon-canyuhuati"><b></b>话题</a>
						</label>
						<label id="file_l" class="hot">
							<a id="file_a" href="###" style="cursor:pointer" class="iconfont icon-wenjian"><b></b>文件</a>
							<input type="file" name="file" class="fi"style="width:80px;opacity:0;cursor:pointer;position:absolute;z-index:10;margin:0 0 0 220px" id="file"/>
                            <span id="file_size" style="color:grey"></span>
						</label>
                        <label>
                            <span id="delet_file" style="font-size:12px;cursor:pointer;margin-left: 5px;color:red"></span>
                        </label>
                        <label>
                            <span>&nbsp; </span>
                            <input type="submit" class="button" value="发布"/>
                        </label>
                        {% csrf_token %}
                    </form>
                    <div id='topic' class="topic_c" style="display: none;">
                        <div id="topic_head" class="t_head">
							<div class="head_p">搜索或新建添加话题</div>
							<div id="no_topic" class="n_topic">X</div>
						</div>
                            <textarea id="topic_name" name="topic_name" maxlength="10" onKeypress="javascript:if(event.keyCode == 32)event.returnValue = false;" placeholder="话题限10字" class="find_topic"></textarea>
                        <a class="new_topic" id="endtopic">新话题</a>
                        <br><br>
                        <div id="old_topic">
                        </div>
                    </div>
                </div>
                {#搜索帖子组件#}
                <div class="search" data-login="{{ request.session.user_account }}" data-user="{{ request.session.user_account }}">
                    <form method="post" action="/index/">
                        {% csrf_token %}
                        <input type="text"  autocomplete="off" name="content" id="search_txt" placeholder="搜索你感兴趣的话题，帖子">
                        <button type="submit" id="search_btn"></button>
                    </form>
                </div>
                <script type="text/javascript" src="/static/js/search.js"></script>
                {#帖子缩略图组件#}
                <div class="post" data-posts="{{ result }}" id="s">
                </div>
            </div>
            <div class="right_nav">
                <h1>热门</h1>
                <hr>
                {% for item in top_posts %}
                    <dl><a href="/post_detail/{{ item.id }}">
                        <dt style="word-break: break-all"><span class="right_rank" style="background-color:rgb(247,92,92);">{{ forloop.counter }}</span>{{ item.title }}</dt>
                        </a>
                        <dt><span class="right_num">浏览量 {{ item.num }} 次</span></dt>
                    </dl>
                {% endfor %}

            </div>
        </div>
    </div>
    <script type="text/javascript">
        var topic_list = {{ topic_all|safe }};
        var id_i = 0;
        var block_all = {{ block_all|safe }};

</script>
<script type="text/javascript" src="/static/js/topic_control.js">
</script>

    <style>
        .right_num{
            padding-top: 4px;
            color: #999;
            padding-left: 20px;
            font-size: 12px;
            line-height: 18px;
        }
        .right_rank{
            display: inline-block;
            width: 16px;
            margin: 4px 8px 4px 0;
            padding-right: 1px;
            color: #fff;
            font-weight: 500;
            font-size: 12px;
            line-height: 16px;
            letter-spacing: -1px;
            text-align: center;
            vertical-align: top;
            word-break: keep-all;
            border-radius: 2px;
        }
        .right_nav{
            background-color:#ffffff;
            border-radius:10px;
            font-size: 16px;
        }
        .right_nav h1 {
            font-weight: bold;
            padding-top: 1px;
            padding-left: 20px;
            font-size: 20px;
        }

        .right_nav dl {
            padding-left: 20px;
            padding-bottom: 8px;
        }

        .rigtht_nav dl a {
            color: #899297;
            cursor: pointer;
            text-decoration: none;
        }

        body {
            margin: 0;
            top: 0;
            left: 0;
            background-color: rgb(180, 218, 240);
        }

        .main {
            background: url("/static/image/body_bg.jpg") no-repeat top center;
            background-size: 100%;
        }

        .top_nav {
            display: block;
        }

        .main {
            display: block;
        }

        .main_con {
            width: 1070px;
            margin: 0 auto;
            padding-top: 16px;
            background-color: rgba(70, 149, 194, 0.3);
        }

        .left_nav {
            display: inline-block;
            width: 180px;
            vertical-align: top;
        }

        .middle {
            width: 600px;
            display: inline-block;
            vertical-align: top;
            margin-right: 10px;
        }

        .right_nav {
            display: inline-block;
            width: 230px;
            vertical-align: top;
            margin-left: 10px;
        }

        .middle .publisher {
            display: block;
        }

        .middle .search {
            display: block;
        }

        .middle .post {
            display: block;
        }
		
    </style>
{% endblock %}